Returns the center point of a circle curve object.
Rhino.CircleCenterPoint (strObject [, dblTolerance])
strObject |
Required. String. The object's identifier. |
dblTolerance |
Optional. Number. If the curve is not a circle curve object, then the tolerance used to determine whether or not the NURBS form of the curve has the properties of a circle. If omitted, Rhino's internal zero tolerance is used. |
Array |
The 3-D center point of the circle if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoint
strObject = Rhino.GetObject("Select circle")
If Rhino.IsCircle(strObject) Then
arrPoint = Rhino.CircleCenterPoint(strObject)
Rhino.AddPoint arrPoint
End If